%define aurox_ver 9.3
%define rel 2


%define desktop_file 1
%define desktop_file_utils_version 0.2.93

%define poname redhat-switch-mail

Summary: The Mail Transport Agent Switcher for Aurox Linux
Name: system-switch-mail
Version: 0.5.21
Release: %{aurox_ver}.aur.%{rel}
Source0: redhat-switch-mail-%{version}.tar.gz
Patch0: redhat-switch-mail-%{version}-aurox.patch
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root

BuildArch: noarch

Requires: newt
Requires: /usr/sbin/alternatives
Requires: python >= 2.2

BuildPreReq: python >= 2.2
BuildPreReq: gettext
BuildPreReq: automake
BuildPreReq: intltool

Obsoletes: redhat-switchmail, redhat-switch-mail
Provides: redhat-switchmail, redhat-switch-mail = %{version}

%if %{desktop_file}
BuildPrereq: desktop-file-utils >= %{desktop_file_utils_version}
%endif

%description
system-switch-mail is the Mail Transport Agent Switcher for Aurox Linux.
It enables users to easily switch between various Mail Transport Agent
that they have installed.

%package gnome
Summary: A GUI interface for Mail Transport Agent Switcher.
Group: Applications/System
Requires: %{name} = %{version}-%{release}
Requires: libglade2
Requires: pygtk2-libglade
Requires: pygtk2
Requires: python >= 2.2
Requires: /usr/sbin/alternatives
Obsoletes: redhat-switchmail-gnome
Provides: redhat-switchmail-gnome
Obsoletes: redhat-switch-mail-gnome
Provides: redhat-switch-mail-gnome = %{version}

%description gnome
The redhat-switch-mail-gnome package contains a GNOME interface for the
Mail Transport Agent Switcher.

%prep
%setup -q -n redhat-switch-mail-%{version}
%patch -p1

%install
rm -rf %{buildroot}
%makeinstall

%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mv $RPM_BUILD_ROOT/etc/X11/applnk/System/* $RPM_BUILD_ROOT%{_datadir}/applications
rm -rf $RPM_BUILD_ROOT/etc/X11/sysconfig/%{poname}.desktop
%endif

%find_lang %{poname}

%clean
rm -rf %{buildroot}

%files -f %{poname}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_sbindir}/*
%dir %{_datadir}/%{poname}
%{_datadir}/%{poname}/functions.py*
%{_datadir}/%{poname}/switchmail_tui.py*
%config(noreplace) /etc/pam.d/*
%config(noreplace) /etc/security/console.apps/%{poname}-nox

%files gnome
%defattr(-,root,root)
%config(noreplace) /etc/security/console.apps/%{poname}
%if %{desktop_file}
%{_datadir}/applications/*
%else
/etc/X11/sysconfig/*.desktop
/etc/X11/applnk/System/*.desktop
%endif
%{_datadir}/pixmaps/*
%{_datadir}/%{poname}/switchmail_gui.py*
%{_datadir}/%{poname}/pixmaps
%{_datadir}/%{poname}/switchmail.glade

%changelog
* Mon Feb 02 2004 Aurox Team <aurox@aurox.org> 0:0.5.21-9.3.aur.2
- gnome subpackage Obsoletes and Provides redhat-switch-mail-gnome
- Provide, Obsolete redhat-switch-mail
- import to svn
- port patch from Aurox 9.0

* Mon Sep 29 2003 Than Ngo <than@redhat.com> 0.5.21-1
- 0.5.21, fixed Categories

* Thu Aug 14 2003 Than Ngo <than@redhat.com> 0.5.20-1
- 0.5.20, use intltool instead pygettext,
  thanks to Miloslav Trmac (bug #82319, #83464)

* Thu Jul 17 2003 Than Ngo <than@redhat.com> 0.5.19-1
- 0.5.19
- exim support
- UTF8 issue in PO files

* Wed Feb  5 2003 Than Ngo <than@redhat.com> 0.5.18-1
- 0.5.18

* Mon Feb  3 2003 Than Ngo <than@redhat.com> 0.5.17-1
- 0.5.17

* Tue Dec 10 2002 Than Ngo <than@redhat.com> 0.5.16-1
- rename to redhat-switch-mail
- start service after successfully switched

* Sat Nov  9 2002 Than Ngo <than@redhat.com> 0.5.15-1
- updated po files
- remove some unpackaged files

* Tue Sep  3 2002 Than Ngo <than@redhat.com> 0.5.14-1
- Updated po files

* Mon Aug 26 2002 Than Ngo <than@redhat.com> 0.5.13-1
- Fix some inconsistent interface (bug #72443)

* Mon Aug 12 2002 Karsten Hopp <karsten@redhat.de>
- fix german translation. String output was completely broken
- use SystemSetup keyword

* Wed Aug  7 2002 Than Ngo <than@redhat.com> 0.5.11-1
- move to X-Red-Hat-Extra (bug #70992)
- Updated po files

* Tue Aug  6 2002 Than Ngo <than@redhat.com> 0.5.10-1
- Fixed a bug in warningDialog (bug #70828)
- Updated po files

* Fri Jul 26 2002 Than Ngo <than@redhat.com> 0.5.9-1
- Use pam_timestamp.so

* Thu Jul 25 2002 Than Ngo <than@redhat.com> 0.5.8-1
- new desktop file
- update po files

* Wed Jun 12 2002 Harald Hoyer <harald@redhat.de>
- fallback for C locale

* Wed Jun 12 2002 Than Ngo <than@redhat.com> 0.5.6-1
- fixed traceback bug (bug #66465)

* Mon Jun  3 2002 Harald Hoyer <harald@redhat.de>
- dropped gnome2, fixed automake Req

* Wed May 29 2002 Phil Knirsch <pknirsch@redhat.com> 0.5.3-1
- Included all fixes for gnome2 by Harald Hoyer <harald@redhat.com>

* Wed May 29 2002 Phil Knirsch <pknirsch@redhat.com> 0.5.2-2
- Fixed to build in new environment.

* Wed Apr 24 2002 Than Ngo <than@redhat.com> 0.5.2-1
- fixed a bug in runing in text mode in X

* Wed Apr 10 2002 Than Ngo <than@redhat.com> 0.5.1-1
- release 0.5.1
- update translations

* Mon Apr  8 2002 Than Ngo <than@redhat.com> 0.5.0-1
- release 0.5.0

* Sun Mar 31 2002 Than Ngo <than@redhat.com> 0.4.0-1
- release 0.4.0

* Sat Mar 02 2002 Than Ngo <than@redhat.com> 0.3.0-1
- update to 0.3.0 (bug #60590, #60591)

* Tue Feb 26 2002 Than Ngo <than@redhat.com> 0.2.0-1
- update to 0.2.0

* Thu Jan 31 2002 Bill Nottingham <notting@redhat.com> 0.1.1-1
- %%defattr in -gnome package

* Mon Jan 28 2002 Than Ngo <than@redhat.com> 0.1.0-1
- initial packaging
